/svc_run/ { 
	isEditing = 1; 
	next; 
} 
/exit/ {
	if (isEditing) {
		print "else { extern ServeMe(); notify_set_input_func(ServeMe, ServeMe, transp->xp_sock); }"; 
		isEditing = 0; 
	}
	next; 
} 
{ 
	if (! isEditing) print $0; 
}
